Pourquoi dois-je cliquer pour activer les plugins ? | Résolution de problèmes

Pourquoi dois-je cliquer pour activer les plugins ?

Attention : Mozilla prévoit d'abandonner la prise en charge de tous les plugins NPAPI excepté Flash en mars 2017, quand sera publiée la version 52 de Firefox. Consultez cet article (en anglais) et ce billet de blog pour avoir davantage de détails.

Auparavant, pour vous protéger de plugins présentant des problèmes de stabilité et de sécurité, Firefox ne pouvait que désactiver le plugin en question. Désormais, Firefox peut empêcher le plugin de s'exécuter automatiquement (ce qui évite de nombreux problèmes), puis vous laisse le choix entre autoriser son exécution et le mettre à jour. Voici comment cela fonctionne.

Note : cet article décrit ce qu'il faut faire quand un plugin a été empêché par Mozilla de s'exécuter automatiquement pour des problèmes de stabilité ou de sécurité. La plupart des plugins doivent encore être activés même si la page de vérification des plugins de Mozilla indique qu'ils sont à jour, car Firefox configure désormais les plugins à « Demander pour activer » dans le gestionnaire de modules complémentaires par défaut (sauf Adobe Flash). Pour plus d'informations, consultez ce billet de blog.

Comment fonctionne « Cliquer pour activer » ?

  1. Quand Firefox bloque un plugin, vous verrez un message semblable à ceci :
    Click to play 1 new
  2. Vous pouvez alors choisir d'exécuter le plugin ou le mettre à jour (si une mise à jour est disponible).
    • Si vous cliquez pour activer et autoriser le plugin, le contenu manquant se chargera normalement (si ce n'est pas le cas, cliquez sur le bouton d'actualisation FxReloadButton à droite de la barre d'adresse pour recharger la page, puis essayez de nouveau). Cependant, la prochaine fois que vous visiterez le site ou tout autre qui utilise ce plugin, vous verrez ce message de nouveau.
    Click to play 2 new fr
    • Si « Rechercher des mises à jour… » est disponible, cliquez dessus…
    Click to play 3 new fr
    AdobeFlash-plugincheck

Quand est-il acceptable d'activer au lieu de mettre à jour un plugin ?

Mettre à jour un plugin est toujours la chose la plus sûre à faire mais, parfois, ce n'est pas possible. Par exemple, vous pouvez ne pas être autorisé à mettre à jour un ordinateur au travail ou à l'école. Dans une telle situation, vous pouvez faire un choix judicieux selon votre tâche en cours :

  • Si vous utilisez un site de confiance comme YouTube ou un site spécifique pour votre travail ou école, vous pourriez vous sentir suffisamment en sécurité pour autoriser un plugin vulnérable afin de voir le contenu du site.
  • Si vous ne faites pas complètement confiance à un site sur lequel vous êtes arrivé, par exemple, en suivant un lien, vous ne voudrez probablement pas activer le plugin.

Toujours activer un plugin pour un site de confiance

Si vous n'êtes pas en mesure de mettre à jour un plugin et que vous vous rendez sur un site de confiance, vous pouvez faire que ce plugin s'exécute automatiquement uniquement sur ce site :

  1. Cliquez sur l'icône rouge du plugin dans la barre d'adresse et une fenêtre de message s'affichera.
  2. Dans le panneau de message, cliquez sur Toujours activer
    Blocklisted-ActivateFlash

Désormais, lorsque vous visiterez ce site, le plugin s'exécutera automatiquement et le message « Cliquer pour activer » n'apparaîtra plus.

Cet article vous a-t-il été utile ?

Veuillez patienter…

Ces formidables personnes ont aidé à écrire cet article : Goofy_BZ, scoobidiver, Banban, pandaconstantin, Mozinet, irahal, J2m06. Vous pouvez également aider - découvrez comment.

Dernière mise à jour : 2016-10-22

Obtenir de l’aide pour une autre plateforme :
Personnaliser cet article

Firefox